$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("blur", '.remark', autoAddRows);
    $("body").on("change blur", '.custname', selectadd);


    function selectadd() {
        var custname = $(".custname").val();
        var data = {custname: custname};
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: 'autoadd.php',
            data: data,
            success: function (response) {
                var m = response;

                $(".add1").val(m.add1);
                $(".add2").val(m.add2);
                $(".add3").val(m.add3);
            },
            error: function (request, textStatus, errorThrown) {
                alert(errorThrown);
            }
        });
    }





    $('#addnew').click(function () {
        AddRows();
    });

    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();

        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('item_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('#data');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }



});